package pfc.prototipo.rendimiento;

import org.apache.log4j.Logger;



public class PFC_Rendimiento 
{
	//Trazas
	private final static Logger moLog = Logger.getLogger(PFC_Rendimiento.class);

	//Texto de la operacion que se esta midiendo el rendimiento
	public String msTexto = null;
	// Control de tiempos
	public long mlTiempoIni;
	public long mlTiempoFin;

	public PFC_Rendimiento(){}

	public PFC_Rendimiento(String psTexto)
	{
		msTexto = psTexto;
		mlTiempoIni = System.currentTimeMillis();
	}
	
	public void ini(String psTexto)
	{
		msTexto = psTexto;
		mlTiempoIni = System.currentTimeMillis();
	}

	public void tiempo()
	{
		try
		{
			mlTiempoFin = System.currentTimeMillis();
			moLog.info("<Rendimiento> "+msTexto+" - "+ getTiempo());
		}catch(Exception e)
		{
			moLog.error("Problemas al printar tiempos.", e);
		}
	}//tiempo
	
	private String getTiempo()
	{
		String lsTiempo = "";
		long llDiferencia;
		long llSegundos;
		long llResto;
		
		llDiferencia = mlTiempoFin - mlTiempoIni;		
		llSegundos = llDiferencia / 1000;
		llResto = llDiferencia % 1000;
		 
		lsTiempo = llSegundos +","+llResto+" segundos <"+llDiferencia+" milis>";
		
		return lsTiempo;
	}//getTiempo
}
